<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm2.aspx.cs" Inherits="DimoNetwork.ProxyWeb.SysRoot.WebForm2" %>

<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link href="css/style.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="js/jquery.js"></script>

    <script type="text/javascript">
        $(document).ready(function () {
            //$(".click").click(function () {
            //    $(".tip").fadeIn(200);
            //});

            $(".tiptop a").click(function () {
                $(".tip").fadeOut(200);
            });

            $(".sure").click(function () {
                $(".tip").fadeOut(100);
            });

            $(".cancel").click(function () {
                $(".tip").fadeOut(100);
            });

        });
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div class="place">
            <span>位置：</span>
            <ul class="placeul">
                <li><a href="/SysRoot/index.aspx">首页</a></li>
                <li><a href="/SysRoot/ProxyOperatorManage.aspx">捕鱼及时分</a></li>
            </ul>
        </div>

        <div class="rightinfo">

            <div class="tools">

                <%-- <asp:Button ID="Button1" runat="server" Text="强制刷新" OnClick="Button1_Click" Height="38px" Width="200px" />--%>

                <asp:Button ID="Button3" runat="server" Text="查询" Height="38px" Width="200px" OnClick="Button_Click" />                
                <asp:Button ID="Button1" runat="server" Text="全删除" Height="38px" Width="200px" OnClick="Button_Click1" />
                
            
            </div>


            <table class="tablelist">
                <thead>
                    <tr>
                        <th>管理
                        </th>
                        <th>反馈标题
                        </th>
                        <th>用户帐号
                        </th>
                        <th>提交时间
                        </th>
                        <th>联系方式
                        </th>
                        <th>浏览次数
                        </th>
                        <th>回复时间
                        </th>
                        <th>回复人
                        </th>
                        <th>内容
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <asp:Repeater ID="reptDataPager" runat="server">
                        <ItemTemplate>
                            <tr>

                                <td>
                                    <a class="l" href="FeedbackInfo.aspx?cmd=edit&param=<%#Eval("FeedbackID")%>">回复</a>
                                </td>
                                <td title="<%#Eval("FeedbackTitle")%>">
                                    <div>
                                        <%# Eval("FeedbackTitle")%>
                                    </div>
                                </td>
                                <td>
                                    <%# Eval("Accounts")%>
                                </td>
                                <td>
                                    <%# Eval("FeedbackDate")%>
                                </td>
                                <td>
                                    <%#Eval( "ClientIP" )%>                                       
                                </td>
                                <td>
                                    <%# Eval("ViewCount")%>
                                </td>
                                <td>
                                    <%# Eval("RevertDate")%>
                                </td>
                                <td>
                                   
                                </td>
                                <td>
                                    <%# Eval("FeedbackContent")%>
                                </td>
                            </tr>
                        </ItemTemplate>
                    </asp:Repeater>
                </tbody>
            </table>


        </div>

        <script type="text/javascript">
            function freezeUsre(uid, op) {
                $.ajax({
                    url: "/ProxyHandler/Member.ashx",
                    data: { action: "freezeuser", uid: uid, op: op },
                    success: function (data) {
                        if (data == "success") {
                            alert("操作成功！");
                            window.location.reload();
                        } else {
                            alert("操作失败！");
                        }
                    },
                    error: function (xhr, status, error) {
                        console.log(error);
                        alert("发生错误：" + error);
                    }
                });
            }

            function unlock(uid, islock) {
                if (islock == 'False') {
                    alert("已经解锁，无需再次解锁！");
                    return;
                }
                $.ajax({
                    url: "/ProxyHandler/Member.ashx",
                    data: { action: "unlock", uid: uid },
                    success: function (data) {
                        if (data == "success") {
                            alert("解锁成功！");
                            window.location.reload();
                        } else {
                            alert("解锁失败！");
                        }
                    },
                    error: function (xhr, status, error) {
                        console.log(error);
                        alert("解锁发生错误：" + error);
                    }
                });
            }
            function gamecontrol(uid) {
                var sf = document.getElementById(uid + '1').value;
                $.ajax({
                    url: "/ProxyHandler/Member.ashx",
                    data: { action: "gamecontrol", uid: uid, controlvalue: sf },
                    success: function (data) {
                        if (data == "success") {
                            alert("送分成功！");
                            window.location.reload();
                        } else {
                            alert("送分成功！");
                        }
                    },
                    error: function (xhr, status, error) {
                        console.log(error);
                        alert("送分成功！");
                    }
                });
            }
            function gamecontrol1(uid) {
                var sf = document.getElementById(uid).value;
                $.ajax({
                    url: "/ProxyHandler/Member.ashx",
                    data: { action: "gamecontrol1", uid: uid, controlvalue: sf },
                    success: function (data) {
                        if (data == "success") {
                            alert("送分成功！");
                            window.location.reload();
                        } else {
                            alert("送分成功！");
                        }
                    },
                    error: function (xhr, status, error) {
                        console.log(error);
                        alert("送分成功！");
                    }
                });
            }
            $('.tablelist tbody tr:odd').addClass('odd');
        </script>
    </form>
</body>
</html>
